List runs
curl --request GET \
--url https://api.uat.involvecloud.com/pub/v1/room-readiness/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uat.involvecloud.com/pub/v1/room-readiness/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.involvecloud.com/pub/v1/room-readiness/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.involvecloud.com/pub/v1/room-readiness/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "power",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"room": "<string>",
"building_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"building": "<string>",
"status": "pending",
"phase": "pending",
"scheduled_at": "2023-11-07T05:31:56Z",
"steps_total": 123,
"steps_passed": 123,
"steps_failed": 123,
"routine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"routine": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"powered_on_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"failure_reason": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}Room Readiness
List runs
Runs, most recent first: power runs (the room switched off and back on) and readiness runs (a test routine), each with a count of passed and failed steps. Fetch a run by id for the individual steps. Requires the nightly.view scope.
GET
/
pub
/
v1
/
room-readiness
/
runs
List runs
curl --request GET \
--url https://api.uat.involvecloud.com/pub/v1/room-readiness/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.uat.involvecloud.com/pub/v1/room-readiness/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.uat.involvecloud.com/pub/v1/room-readiness/runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.uat.involvecloud.com/pub/v1/room-readiness/runs")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.uat.involvecloud.com/pub/v1/room-readiness/runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "power",
"room_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"room": "<string>",
"building_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"building": "<string>",
"status": "pending",
"phase": "pending",
"scheduled_at": "2023-11-07T05:31:56Z",
"steps_total": 123,
"steps_passed": 123,
"steps_failed": 123,
"routine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"routine": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"powered_on_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"duration_seconds": 123,
"failure_reason": "<string>"
}
],
"next_cursor": "<string>"
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}{
"error": {
"message": "token missing scope: view.dashboard",
"code": "forbidden"
}
}Updated 23 Oct 2026 15:20 · page e8b6cbb
Authorizations
Query Parameters
⌘I